# fractal-converters-tools

[![License](https://img.shields.io/pypi/l/fractal-converters-tools.svg?color=green)](https://github.com/fractal-analytics-platform/fractal-converters-tools/raw/main/LICENSE)
[![PyPI](https://img.shields.io/pypi/v/fractal-converters-tools.svg?color=green)](https://pypi.org/project/fractal-converters-tools)
[![Python Version](https://img.shields.io/pypi/pyversions/fractal-converters-tools.svg?color=green)](https://python.org)
[![CI](https://github.com/fractal-analytics-platform/fractal-converters-tools/actions/workflows/ci.yml/badge.svg)](https://github.com/fractal-analytics-platform/fractal-converters-tools/actions/workflows/ci.yml)
[![codecov](https://codecov.io/gh/fractal-analytics-platform/fractal-converters-tools/branch/main/graph/badge.svg)](https://codecov.io/gh/fractal-analytics-platform/fractal-converters-tools)

Fractal Converters Tools is a Python package that provides tooling for building OME-Zarr converters for the Fractal platform.

It includes three main components:

1. Abstraction layer for mapping the on-disk raw data to an Image object
2. Common tooling to build converters as Fractal Compound Tasks

## Getting Started

To get started with Fractal Converters Tools, you can install it via pip:

```bash
pip install fractal-converters-tools
```

## Documentation

For detailed documentation on how to use Fractal Converters Tools, please refer to the [official documentation](https://fractal-analytics-platform.github.io/fractal-converters-tools/).

We also provide a minimal step-by-step guide to how to create a converter. You can find it in the [tutorial](https://fractal-analytics-platform.github.io/fractal-converters-tools/latest/tutorial/) section of the documentation.
